[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "noseOfYeti"
dynamic = ["version"]
requires-python = ">= 3.8"
description = "A custom python codec that provides an RSpec style dsl for python"
readme = "README.rst"
license = "MIT"
authors = [
    { name = "Stephen Moore", email = "stephen@delfick.com" },
]
keywords = [
    "bdd",
    "rspec",
    "spec",
]
classifiers = [
    "Intended Audience :: Developers",
    "Programming Language :: Python",
    "Topic :: Software Development :: Documentation",
    "Topic :: Software Development :: Testing",
]

[project.optional-dependencies]
black = [
    "black==24.2.0",
    "importlib-resources==5.10.0",
]
tests = [
    "alt-pytest-asyncio==0.6.0",
    "pytest-helpers-namespace==2021.4.29",
    "pytest>=7.0.1",
]

[project.entry-points."nose.plugins"]
noseOfYeti = "noseOfYeti.plugins.nosetests:Plugin"

[project.entry-points."pylama.linter"]
pylama_noy = "noseOfYeti.plugins.pylama:Linter"

[project.entry-points.pyls]
pyls_noy = "noseOfYeti.plugins.pyls"

[project.entry-points.pytest11]
nose_of_yeti = "noseOfYeti.plugins.pytest"

[project.urls]
Homepage = "https://github.com/delfick/nose-of-yeti"

[tool.hatch.version]
path = "noseOfYeti/version.py"

[tool.hatch.build.targets.sdist]
include = [
    "/noseOfYeti",
    "/README.rst",
    "/LICENSE",
    "/test.sh",
    "/run.sh",
    "/pytest.ini",
    "/example/*",
    "/tests/**",
    "/tools/bootstrap_venvstarter.py",
    "/tools/requirements.dev.txt",
    "/tools/devtools.py",
    "/tools/venv"
]

[tool.hatch.build.targets.wheel]
include = [
    "/noseOfYeti",
]

[tool.hatch.build.targets.wheel.force-include]
"noseOfYeti/black/noy_black.pth" = "noy_black.pth"

[tool.black]
line-length = 100
include = '(\.py|^venv)$'
exclude = '''
/(
     \.git
   | \.tox
   | dist
   | tools/\.python
   | docs/_build
   | example
   | tests/for_formatting_and_pylama
   | build
)/
'''

[tool.isort]
profile = "black"
skip_glob = [
   ".git/*",
   ".tox/*",
   "dist/*",
   "tools/.python/*",
   "tools/deps/*",
   "docs/_build/*",
   "build/*",
   "example/*",
   "tests/for_formatting_and_pylama",
]

[tool.mypy]
plugins = 'noseOfYeti.plugins.mypy'
ignore_missing_imports = true
